package com.goafanti.common.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 订单中间表(TOrderMid)实体类
 *
 * @author makejava
 * @since 2024-11-15 09:04:09
 */
public class TOrderMid implements Serializable {
    private static final long serialVersionUID = 332726388217882919L;
    /**
     * id
     */
    private Integer id;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 营销员id
     */
    private String salesmanId;
    /**
     * 财务id
     */
    private String financeId;
    /**
     * 营销员名称
     */
    private String salesmanName;
    /**
     * 财务名称
     */
    private String financeName;
    /**
     * 最后一次收款
     */
    private BigDecimal finalReceivables;
    /**
     * 最后一次收款时间
     */
    private Date finalReceivablesTime;
    /**
     * 开票金额
     */
    private BigDecimal invoiceAmount;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 公司名称(冗余)
     */
    private String buyerName;
    /**
     * 应收款
     */
    private BigDecimal orderReceivables;
    /**
     * 欠款
     */
    private BigDecimal orderArrears;
    /**
     * 成本实付
     */
    private BigDecimal paymentAmount;
    /**
     * 成本金额
     */
    private BigDecimal costAmount;
    /**
     * 部门名称
     */
    private String depName;
    /**
     * 省份名称
     */
    private String provinceName;
    /**
     * 法务 0否 1是
     */
    private Integer legalAffairs;
    /**
     * 催款启动日期
     */
    private Date dunStartTime;
    /**
     * 法务状态 0法务催收中 1延期法务 2已完成法务
     */
    private Integer legalAffairsType;
    /**
     * 催款日期
     */
    private Date operationTime;
    /**
     * 法务状态 0否 1已回款 2已诉讼 3已坏账处理
     */
    private Integer legalAffairsStatus;
    /**
     * 会员 0否 1是
     */
    private Integer projectType;
    /**
     * 服务类型
     */
    private String serviceType;
    /**
     * 服务项目
     */
    private String serviceProject;
    /**
     * 专利成本
     */
    private BigDecimal patentCost;
    /**
     * 专利成本实付
     */
    private BigDecimal patentCostActual;
    /**
     * 软著成本
     */
    private BigDecimal softCost;
    /**
     * 软著成本实付
     */
    private BigDecimal softCostActual;
    /**
     * 审计成本
     */
    private BigDecimal auditCost;
    /**
     * 审计成本实付
     */
    private BigDecimal auditCostActual;
    /**
     * 其他成本
     */
    private BigDecimal otherCost;
    /**
     * 其他成本实付
     */
    private BigDecimal otherCostActual;
    /**
     * 预计毛利
     */
    private BigDecimal expectProfit;
    /**
     * 实际毛利
     */
    private BigDecimal actualProfit;
    /**
     * 暂停项目  0无 1有
     */
    private Integer stopProject;
    /**
     * 会员 0否 1是
     */
    private Integer bidType;
    /**
     * 催款节点说明
     */
    private String dunNodeContent;
    /**
     * 变更数
     */
    private Integer changeCount;
    /**
     * 重报数
     */
    private Integer restatementCount;
    /**
     * 退单退款数
     */
    private Integer refundCount;
    /**
     * 报销金额
     */
    private BigDecimal expenseAmount;
    /**
     * 入群 0=否，1=是
     */
    private Integer addGroupChat;
    /**
     * 入群时间
     */
    private Date addGroupChatTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getSalesmanId() {
        return salesmanId;
    }

    public void setSalesmanId(String salesmanId) {
        this.salesmanId = salesmanId;
    }

    public String getFinanceId() {
        return financeId;
    }

    public void setFinanceId(String financeId) {
        this.financeId = financeId;
    }

    public String getSalesmanName() {
        return salesmanName;
    }

    public void setSalesmanName(String salesmanName) {
        this.salesmanName = salesmanName;
    }

    public String getFinanceName() {
        return financeName;
    }

    public void setFinanceName(String financeName) {
        this.financeName = financeName;
    }

    public BigDecimal getFinalReceivables() {
        return finalReceivables;
    }

    public void setFinalReceivables(BigDecimal finalReceivables) {
        this.finalReceivables = finalReceivables;
    }

    public Date getFinalReceivablesTime() {
        return finalReceivablesTime;
    }

    public void setFinalReceivablesTime(Date finalReceivablesTime) {
        this.finalReceivablesTime = finalReceivablesTime;
    }

    public BigDecimal getInvoiceAmount() {
        return invoiceAmount;
    }

    public void setInvoiceAmount(BigDecimal invoiceAmount) {
        this.invoiceAmount = invoiceAmount;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public BigDecimal getOrderReceivables() {
        return orderReceivables;
    }

    public void setOrderReceivables(BigDecimal orderReceivables) {
        this.orderReceivables = orderReceivables;
    }

    public BigDecimal getOrderArrears() {
        return orderArrears;
    }

    public void setOrderArrears(BigDecimal orderArrears) {
        this.orderArrears = orderArrears;
    }

    public BigDecimal getPaymentAmount() {
        return paymentAmount;
    }

    public void setPaymentAmount(BigDecimal paymentAmount) {
        this.paymentAmount = paymentAmount;
    }

    public BigDecimal getCostAmount() {
        return costAmount;
    }

    public void setCostAmount(BigDecimal costAmount) {
        this.costAmount = costAmount;
    }

    public String getDepName() {
        return depName;
    }

    public void setDepName(String depName) {
        this.depName = depName;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public Integer getLegalAffairs() {
        return legalAffairs;
    }

    public void setLegalAffairs(Integer legalAffairs) {
        this.legalAffairs = legalAffairs;
    }

    public Date getDunStartTime() {
        return dunStartTime;
    }

    public void setDunStartTime(Date dunStartTime) {
        this.dunStartTime = dunStartTime;
    }

    public Integer getLegalAffairsType() {
        return legalAffairsType;
    }

    public void setLegalAffairsType(Integer legalAffairsType) {
        this.legalAffairsType = legalAffairsType;
    }

    public Date getOperationTime() {
        return operationTime;
    }

    public void setOperationTime(Date operationTime) {
        this.operationTime = operationTime;
    }

    public Integer getLegalAffairsStatus() {
        return legalAffairsStatus;
    }

    public void setLegalAffairsStatus(Integer legalAffairsStatus) {
        this.legalAffairsStatus = legalAffairsStatus;
    }

    public Integer getProjectType() {
        return projectType;
    }

    public void setProjectType(Integer projectType) {
        this.projectType = projectType;
    }

    public String getServiceType() {
        return serviceType;
    }

    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }

    public String getServiceProject() {
        return serviceProject;
    }

    public void setServiceProject(String serviceProject) {
        this.serviceProject = serviceProject;
    }

    public BigDecimal getPatentCost() {
        return patentCost;
    }

    public void setPatentCost(BigDecimal patentCost) {
        this.patentCost = patentCost;
    }

    public BigDecimal getPatentCostActual() {
        return patentCostActual;
    }

    public void setPatentCostActual(BigDecimal patentCostActual) {
        this.patentCostActual = patentCostActual;
    }

    public BigDecimal getSoftCost() {
        return softCost;
    }

    public void setSoftCost(BigDecimal softCost) {
        this.softCost = softCost;
    }

    public BigDecimal getSoftCostActual() {
        return softCostActual;
    }

    public void setSoftCostActual(BigDecimal softCostActual) {
        this.softCostActual = softCostActual;
    }

    public BigDecimal getAuditCost() {
        return auditCost;
    }

    public void setAuditCost(BigDecimal auditCost) {
        this.auditCost = auditCost;
    }

    public BigDecimal getAuditCostActual() {
        return auditCostActual;
    }

    public void setAuditCostActual(BigDecimal auditCostActual) {
        this.auditCostActual = auditCostActual;
    }

    public BigDecimal getOtherCost() {
        return otherCost;
    }

    public void setOtherCost(BigDecimal otherCost) {
        this.otherCost = otherCost;
    }

    public BigDecimal getOtherCostActual() {
        return otherCostActual;
    }

    public void setOtherCostActual(BigDecimal otherCostActual) {
        this.otherCostActual = otherCostActual;
    }

    public BigDecimal getExpectProfit() {
        return expectProfit;
    }

    public void setExpectProfit(BigDecimal expectProfit) {
        this.expectProfit = expectProfit;
    }

    public BigDecimal getActualProfit() {
        return actualProfit;
    }

    public void setActualProfit(BigDecimal actualProfit) {
        this.actualProfit = actualProfit;
    }

    public Integer getStopProject() {
        return stopProject;
    }

    public void setStopProject(Integer stopProject) {
        this.stopProject = stopProject;
    }

    public Integer getBidType() {
        return bidType;
    }

    public void setBidType(Integer bidType) {
        this.bidType = bidType;
    }

    public String getDunNodeContent() {
        return dunNodeContent;
    }

    public void setDunNodeContent(String dunNodeContent) {
        this.dunNodeContent = dunNodeContent;
    }

    public Integer getChangeCount() {
        return changeCount;
    }

    public void setChangeCount(Integer changeCount) {
        this.changeCount = changeCount;
    }

    public Integer getRestatementCount() {
        return restatementCount;
    }

    public void setRestatementCount(Integer restatementCount) {
        this.restatementCount = restatementCount;
    }

    public Integer getRefundCount() {
        return refundCount;
    }

    public void setRefundCount(Integer refundCount) {
        this.refundCount = refundCount;
    }

    public BigDecimal getExpenseAmount() {
        return expenseAmount;
    }

    public void setExpenseAmount(BigDecimal expenseAmount) {
        this.expenseAmount = expenseAmount;
    }

    public Integer getAddGroupChat() {
        return addGroupChat;
    }

    public void setAddGroupChat(Integer addGroupChat) {
        this.addGroupChat = addGroupChat;
    }

    public Date getAddGroupChatTime() {
        return addGroupChatTime;
    }

    public void setAddGroupChatTime(Date addGroupChatTime) {
        this.addGroupChatTime = addGroupChatTime;
    }

}

